const LAYOUT = () => import("@/layout/app/index.vue");

export const systemRoutes = [
  {
    path: "/",
    name: "main",
    redirect: "login",
    component: LAYOUT,
    children: [
      {
        path: "im",
        name: "im",
        meta: { title: "社交", keepAlive: false, navbar: true },
        component: () => import("@/views/home/index.vue"),
      },
      {
        path: "transaction",
        name: "transaction",
        meta: { title: "交易", keepAlive: false, navbar: true },
        component: () => import("@/views/transaction/index.vue"),
      },
      {
        path: "wallet",
        name: "wallet",
        meta: { title: "钱包", keepAlive: false, navbar: true },
        component: () => import("@/views/wallet/index.vue"),
      },
      {
        path: "dapp",
        name: "dapp",
        meta: { title: "DAPP", keepAlive: false, navbar: false },
        component: () => import("@/views/dapp/index.vue"),
      },
      {
        path: "me",
        name: "me",
        meta: { title: "我的", keepAlive: false, navbar: false },
        component: () => import("@/views/me/index.vue"),
      },
    ],
  },
];
